Install Metasploit Framework-3.1 on Ubuntu 7.04

Lanjutan dari sebuah kisah yang diperankan oleh ‘th3c0d3’ dengan judul “Perjalanan Menuju Kampung Hacker”, Pada suatu hari th3c0d3 mencoba untuk menginstall sebuah metasploit framework setelah dia download dan coba install ternyata dia mendapatkan pesan error :

grep: /etc/inittab: No such file or directory
grep: /etc/inittab: No such file or directory
Adding SV inittab entry…
cp: cannot stat `/etc/inittab’: No such file or directory
dpkg: error processing runit (–configure):
subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
runit
E: Sub-process /usr/bin/dpkg returned an error code (1)

Yeah begitulah sapaan sayang dari lunux box nya th3c0d3, setelah berpikir beberapa saat diapun berusaha mencari jawaban dengan menggunakan mesin pencari, nah nemulah dia jawabannya pada sebuah forum. ternyata jawabannya adalah dia harus meremove ‘runit’ .

Dengan kemampuannya yang masih dibilang New bie dia mencoba meremove runit dengan menggunakkan command console “sudo apt-get remove runit” bla… bla… sang kekasih pun memberikan respon yang sangat manis sekali :

Reading package lists… Done
Building dependency tree
Reading state information… Done
The following packages will be REMOVED:
runit
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 0B of archives.
After unpacking 487kB disk space will be freed.
Do you want to continue [Y/n]? Y
(Reading database … 127469 files and directories currently installed.)
Removing runit …

Y begitulah, sang kekasih membalas… th3c0d3 pun akhirnya tersenyum dan langsung aja menambahkan paket – paket dependeency yang dibutuhkan sang kekasih untuk menginstall metasploit. Diapun memberikan perintah pada sang kekasih :

sudo apt-get install ruby libruby rdoc

sudo apt-get install libyaml-ruby

sudo apt-get install libzlib-ruby

sudo apt-get install libopenssl-ruby

sudo apt-get install libdl-ruby

sudo apt-get install libreadline-ruby

sudo apt-get install libiconv-ruby

sudo apt-get install rubygems

Ya bgitulah yang hanya bisa dilakukan th3c0d3, setelah semua yang dibutuhkan sang kekasih terpenuhi tak pleak dia langsung mengetikkan perintah “tar -xzvf framework-3.1.tar.gz” yang kemudiaan disusul dengan “cd framework-3.1″ wuuhi… semakin dekat aja…

Dengan wajah yang penuh nafsu dan liur dimana – mana diapun men jajal metasploit tersebut dengan command “./msfconsole” perintah disamping untuk versi console, lo mau web interface “./msfweb”

nah segitu aja ceritanya mengenai pengalaman th3c0d3 …

Iklan

Tinggalkan Balasan

Isikan data di bawah atau klik salah satu ikon untuk log in:

Logo WordPress.com

You are commenting using your WordPress.com account. Logout / Ubah )

Gambar Twitter

You are commenting using your Twitter account. Logout / Ubah )

Foto Facebook

You are commenting using your Facebook account. Logout / Ubah )

Foto Google+

You are commenting using your Google+ account. Logout / Ubah )

Connecting to %s